请选择 进入手机版 | 继续访问电脑版

唐康林NX二次开发论坛

 找回密码
 立即注册
搜索
热搜: nxopen ufun
查看: 366|回复: 0

[技术分享] NXOpen方式创建对象组的方法!-唐康林

[复制链接]

527

主题

691

帖子

2899

积分

管理员

Rank: 9Rank: 9Rank: 9

积分
2899
发表于 2018-1-20 11:52:37 | 显示全部楼层 |阅读模式
很简单,录一下大家应该都知道的。
  1. //创建直线
  2. Point3d startPoint(0.0, 0.0, 0.0);
  3. Point3d endPoint(100.0, 0.0, 0.0);
  4. Point3d ohterPoint(100.0, 100.0, 0.0);
  5. Line *line1 = workPart->Curves()->CreateLine(startPoint, endPoint);
  6. Line *line2 = workPart->Curves()->CreateLine(endPoint, ohterPoint);

  7. //创建组
  8. Group *nullNXOpen_Group(NULL);
  9. GroupBuilder *groupBuilder1;
  10. groupBuilder1 = workPart->CreateGatewayGroupBuilder(nullNXOpen_Group);

  11. groupBuilder1->ObjectsInGroup()->Add(line1);
  12. groupBuilder1->ObjectsInGroup()->Add(line2);

  13. groupBuilder1->SetActivegroupOption(true);
  14. groupBuilder1->SetActionType(0);//Create New group in Modeling or Drafting
  15. groupBuilder1->SetGroupDisplayProperties(false);
  16. groupBuilder1->SetGroupName("");

  17. NXObject *nXObject1;
  18. nXObject1 = groupBuilder1->Commit();
  19. groupBuilder1->Destroy();
复制代码


回复

使用道具 举报

您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|Archiver|手机版|小黑屋| ( 蜀ICP备16014681号

GMT+8, 2018-5-24 14:08 , Processed in 0.081127 second(s), 25 queries .

Powered by www.nxopen.cn

© 2001-2013 nxopen.cn

快速回复 返回顶部 返回列表